Download it now!
Bug 96357 - Switching icon theme doesnt update toolbar or statusbar
Summary: Switching icon theme doesnt update toolbar or statusbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.beta1
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords: bibisected, regression
Depends on:
Blocks: UI-Theming
  Show dependency treegraph
 
Reported: 2015-12-09 13:07 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-15 10:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-12-09 13:07:28 UTC
Steps:
1) Open Writer
2) Change to a different icon theme in Tools > Options > LibreOffice > View
3) Icons will change in menu bar and sidebar, but not in toolbar or statusbar

Regression as this works fine in 5.0 daily. Workaround is to close Writer and then reopen it.

Version: 5.1.0.0.beta2+
Build ID: 82b0bf45d0527db84e11689dc8a15eefaa699409
Threads 2; Ver: 3.13; Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-1, Time: 2015-12-05_10:03:38
Locale: en-US (en_US.UTF-8)
Comment 2 Maxim Monastirsky 2015-12-10 10:51:08 UTC
Let's see if this does the trick:

https://gerrit.libreoffice.org/20591/
Comment 3 Commit Notification 2015-12-10 15:32:54 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f513a173152cb1c1afd7b700d1b264bc2ea6a5a8

tdf#96357 Switching icon theme doesn't update toolbar or statusbar

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-12-10 15:41:18 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68fb533ed190d09b080b99fc80f5026afeae968d&h=libreoffice-5-1

tdf#96357 Switching icon theme doesn't update toolbar or statusbar

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Maxim Monastirsky 2015-12-10 15:46:45 UTC
Hope it's fine now.
Comment 6 Jean-Baptiste Faure 2015-12-10 20:41:44 UTC
(In reply to Maxim Monastirsky from comment #5)
> Hope it's fine now.

Hi Maxim,

I am afraid there a problem with your patch for LibreOffice 5.1: open a tex document containing some Math formula, double-click on a formula to edit it then click outside the formula to exit the Math editor. Some fields in the status bar are removed: page numbers, word count, page style, .... To restore the correct view you have to force a complete update (Tools > Update > Update all).

If I revert locally your patch, I get the correct behaviour back.

Best regards. JBF
Comment 7 Maxim Monastirsky 2015-12-10 21:10:56 UTC
(In reply to Jean-Baptiste Faure from comment #6)
> I am afraid there a problem with your patch for LibreOffice 5.1: open a tex
> document containing some Math formula, double-click on a formula to edit it
> then click outside the formula to exit the Math editor. Some fields in the
> status bar are removed: page numbers, word count, page style, .... To
> restore the correct view you have to force a complete update (Tools > Update
> > Update all).
I can reproduce it even after reverting my patch. The thing is that it isn't consistent - sometimes I had to enter the formula edit mode & exit several times to reproduce. And it's the same for me with or without this patch.
Comment 8 Jean-Baptiste Faure 2015-12-10 21:35:18 UTC
(In reply to Maxim Monastirsky from comment #7)
> (In reply to Jean-Baptiste Faure from comment #6)
> > I am afraid there a problem with your patch for LibreOffice 5.1: open a tex
> > document containing some Math formula, double-click on a formula to edit it
> > then click outside the formula to exit the Math editor. Some fields in the
> > status bar are removed: page numbers, word count, page style, .... To
> > restore the correct view you have to force a complete update (Tools > Update
> > > Update all).
> I can reproduce it even after reverting my patch. The thing is that it isn't
> consistent - sometimes I had to enter the formula edit mode & exit several
> times to reproduce. And it's the same for me with or without this patch.

You are right, I should have tested more. Sorry for the noise.

Best regards. JBF
Comment 9 Robinson Tryon (qubit) 2015-12-17 10:53:33 UTC Comment hidden (obsolete)